package io.renren.modules.generator.dao;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import io.renren.modules.generator.entity.ApplicationsEntity_Vo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface ApplicationVoDao extends BaseMapper<ApplicationsEntity_Vo> {
    @Select("SELECT * from applications ${ew.customSqlSegment}")
    List<ApplicationsEntity_Vo> getAppInfo(@Param(Constants.WRAPPER) Wrapper wrapper);
}
