package io.renren.modules.generator.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.util.Date;

@Data
public class ApplicationsEntity_Vo {
    /**
     * 名称
     */
    private String applicationName;

    /**
     * 应用类型
     */
    private String applicationType;

    /**
     * 部署设备id
     */
    private Integer deployDeviceId;

    /**
     * 部署设备名称
     */
    private String deployDeviceName;

    /**
     * 应用ID
     */
    @TableId
    private Integer applicationId;
    /**
     * 应用版本
     */
    private String applicationVersion;

    /**
     * 应用状态
     */
    private String applicationStatus;
    /**
     * 所属项目名称
     */
    private String parentProjectName;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 创建者姓名
     */
    private String creatorName;
    /**
     * 描述信息
     */
    private String applicationDescription;
}
